package com.copy.trade.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

@JsonFormat(shape = JsonFormat.Shape.NUMBER)
public enum CloseType {
    CLOSE(0, "平仓"),
    MARKET_CLOSE(1, "市价全平"),
    ONE_KEY_CLOSE(2, "一键平仓"),
	REVERSE_OPEN(3, "反向开仓"),
	CUT(4, "止盈止损"),
	BLAST(5, "爆仓"),
    ADMIN_CLOSE(6, "管理员平仓");

    CloseType(int number, String description) {
        this.code = number;
        this.description = description;
    }
    private int code;
    private String description;
    public int getCode() {
        return code;
    }
    public String getDescription() {
        return description;
    }
}
